/**************************************************************************
 * ESPTYPE.H                                                              *
 * Contains all data for ESP test                                         *
 **************************************************************************/

/*** NOTICE *** NOTICE *** NOTICE *** NOTICE *** NOTICE *** NOTICE ***
 ***                                                               ***
DISCLAIMER: THE PRODUCT IS PROVIDED TO DEVELOPER "AS IS" WITHOUT WARRANTY
OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE 
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE,
AND THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PRODUCT IS 
ASSUMED BY DEVELOPER, INCLUDING ALL COSTS OF SERVICING, REPAIRS OR CORRECTIONS.  
DEVELOPER AGREES THAT HAYES WILL NOT BE LIABLE FOR ANY DAMAGES DIRECTLY OR 
INDIRECTLY RELATED TO THE USE OF THE PRODUCT, INCLUDING BUT NOT LIMITED
TO, LOST PROFITS, INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES, WHETHER BASED
ON CONTRACT, TORT OR ANY OTHER LEGAL THEORY.  DEVELOPER ACKNOWLEDGES THAT 
THE PRODUCT IS STILL UNDER DEVELOPMENT AND THAT HAYES DOES NOT WARRANT 
THAT THE PRODUCT IN ITS PRESENT OR FUTURE FORM WILL MEET DEVELOPER'S NEEDS.
 ***                                                               ***
 *** NOTICE *** NOTICE *** NOTICE *** NOTICE *** NOTICE *** NOTICE ***/

/***********************************************************************/
/*  Copyright 1993 Hayes Microcomputer Products, Inc.                  */
/*  All rights reserved.                                               */
/*  Use of copyright notice does not imply publication.                */ 
/***********************************************************************/

/***********************************************************************/
/*                                                                     */
/*                                                                     */
/*     NOTE:   This code is specifically for the ESP2 board.           */
/*                                                                     */
/*                     T E S T    C O D E                              */
/*                                                                     */
/*     This code uses the Hayes Enhanced Serial Interface (ESI) Ver 2  */    
/*     to operate the ESP2 adapter.  Please refer to that manual for   */
/*     more detail on the commands.                                    */
/***********************************************************************/

#if     !defined(ESP_TYPES_H_INCLUDED)
#define ESP_TYPES_H_INCLUDED



/* general type defines */

typedef void     VOID;
typedef void *   PVOID;
typedef char     CHAR;
typedef char *   PCHAR;
typedef int *    PINT;
typedef short    SHORT;
typedef int      INT;
typedef long     LONG;
typedef unsigned char     UCHAR;
typedef unsigned char     BYTE;
typedef unsigned char *   PUCHAR;
typedef unsigned int *    PUINT;
typedef unsigned short    USHORT;
typedef unsigned          WORD;
typedef unsigned int      UINT;
typedef unsigned long     ULONG;


#endif
